Skip to content
The API may change between versions while TTX-Zone is 0.x.

Upload avatar

POST
/api/v1/auth/avatar/upload
curl --request POST \
--url https://example.com/api/v1/auth/avatar/upload \
--header 'Content-Type: multipart/form-data' \
--header 'X-CSRF-Token: <X-CSRF-Token>' \
--cookie ttx_access_token=<ttx_access_token> \
--form file=example

Upload the caller’s avatar image.

Media typemultipart/form-data
Body_upload_avatar_endpoint_api_v1_auth_avatar_upload_post
object
file
required
File
string

Successful Response

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string

Example generated

{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}